com.holonplatform.datastore.jdbc.composer.internal

## Class DefaultOrderBySort

- java.lang.Object
- - com.holonplatform.datastore.jdbc.composer.internal.DefaultOrderBySort

- All Implemented Interfaces:
    com.holonplatform.core.Expression, com.holonplatform.core.query.QuerySort, OrderBySort, Serializable

      public class DefaultOrderBySort
      extends Object
      implements OrderBySort

  Default `OrderBySort` implementation.
  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.QuerySort

      `com.holonplatform.core.query.QuerySort.CompositeQuerySort, com.holonplatform.core.query.QuerySort.PathQuerySort<T>, com.holonplatform.core.query.QuerySort.QuerySortResolver<T extends com.holonplatform.core.query.QuerySort>, com.holonplatform.core.query.QuerySort.QuerySortSupport<C extends com.holonplatform.core.query.QuerySort.QuerySortSupport<C>>, com.holonplatform.core.query.QuerySort.SortDirection`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultOrderBySort(String sql)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSQL()` Get the order by directives as sql.
    `String` | `toString()`
    `void` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.composer.OrderBySort

      `create`

    - ### Methods inherited from interface com.holonplatform.core.query.QuerySort

      `and, asc, desc, of, of, of, of`

- - ### Constructor Detail

    - #### DefaultOrderBySort

          public DefaultOrderBySort(String sql)

      Constructor.
      Parameters:
        `sql` - The SQL order by declaration

  - ### Method Detail

    - #### getSQL

          public String getSQL()

      Description copied from interface: `OrderBySort`
      Get the order by directives as sql.

      NOTE: The `ORDER BY` clause string should not be included.

      Specified by:
        `getSQL` in interface `OrderBySort`
      Returns:
        Ordering sql

    - #### validate

          public void validate()
                        throws com.holonplatform.core.Expression.InvalidExpressionException

      Specified by:
        `validate` in interface `com.holonplatform.core.Expression`
      Throws:
        `com.holonplatform.core.Expression.InvalidExpressionException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019 The Holon Platform. All rights reserved.